Index: sys/arch/x86/x86/vm_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/x86/x86/vm_machdep.c,v
retrieving revision 1.25
diff -d -u -p -r1.25 vm_machdep.c
--- sys/arch/x86/x86/vm_machdep.c	11 Mar 2014 20:55:19 -0000	1.25
+++ sys/arch/x86/x86/vm_machdep.c	7 Aug 2016 19:04:49 -0000
@@ -249,6 +249,20 @@ cpu_lwp_free(struct lwp *l, int proc)
 	if (proc && l->l_proc->p_md.md_flags & MDP_USEDMTRR)
 		mtrr_clean(l->l_proc);
 #endif
+	/*
+	 * Free the deferred mappings
+	 */
+	if (l->l_md.md_gc_ptp != NULL) {
+		struct vm_page *ptp;
+		struct pmap_page *pp;
+
+		while ((ptp = l->l_md.md_gc_ptp) != NULL) {
+			pp = &ptp->mdpage.mp_pp;
+			l->l_md.md_gc_ptp = pp->pp_link;
+			LIST_INIT(&pp->pp_head.pvh_list);
+			uvm_pagefree(ptp);
+		}
+	}
 }
 
 /*
